#include <stdio.h>

/* Board */
#include "board.h"
#include "clock_config.h"
#include "peripherals.h"
#include "pin_mux.h"

int main(void) {
    HAL_Init();

    BOARD_ConfigMPU();

    BOARD_InitBootClocks();
    BOARD_InitBootPins();
    BOARD_InitBootPeripherals();

    printf("Hello world!\r\n");

    for (;;) {
        HAL_Delay(500);
    }
}