def will_connect():
    info("Creating external memory regions...")
    extFlash = FlashRegion(
        name="QSPI",
        start=0x90000000,
        length=0x04000000,
        page_size=0x200,
        sector_size=0x2000,
        access="rx",
        flm="assets/FIRE_STM32H750_PRO_QSPI.FLM"
    )
    target.memory_map.add_region(extFlash)

    extSDRAM = RamRegion(
        name="SDRAM",
        start=0xD0000000,
        length=0x04000000,
        access="rwx"
    )

    target.memory_map.add_region(extSDRAM)
